<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
audit
</p>
<p>Methods to audit systems.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#listImagesByPatchStatus"/>listImagesByPatchStatus</a></li>
<li><a href="#listImagesByPatchStatus"/>listImagesByPatchStatus</a></li>
<li><a href="#listSystemsByPatchStatus"/>listSystemsByPatchStatus</a></li>
<li><a href="#listSystemsByPatchStatus"/>listSystemsByPatchStatus</a></li>
</ul>
</div>
<hr />

<h3> <a name="listImagesByPatchStatus" href="#top">Method: listImagesByPatchStatus</a></h3>
Description:<br />
List visible images with their patch status regarding a given CVE
 identifier. Please note that the query code relies on data that is pre-generated
 by the 'cve-server-channels' taskomatic job.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string cveIdentifier
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - cve_audit_image
	<ul>
     	<li> int "image_id"</li>
     	<li> string "patch_status"</li>
         	<ul>
             	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
             	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
             	<li>NOT_AFFECTED - Not affected</li>
             	<li>PATCHED - Patched</li>
         	</ul>
         <li>array "string"
        <ul>
            <li>channel_labels Labels of channels that contain an unapplied patch</li>
        </ul>
    </li>
         <li>array "string"
        <ul>
            <li>errata_advisories Advisories of erratas that patch the specified vulnerability</li>
        </ul>
    </li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listImagesByPatchStatus" href="#top">Method: listImagesByPatchStatus</a></h3>
Description:<br />
List visible images with their patch status regarding a given CVE
 identifier. Filter the results by passing in a list of patch status labels.
 Please note that the query code relies on data that is pre-generated by the
 'cve-server-channels' taskomatic job.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string cveIdentifier
 </li>
<li>

array:
<ul>
    <li>string - patchStatusLabel</li>
</ul>
  	<ul>
      	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
      	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
      	<li>NOT_AFFECTED - Not affected</li>
      	<li>PATCHED - Patched</li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - cve_audit_image
	<ul>
     	<li> int "image_id"</li>
     	<li> string "patch_status"</li>
         	<ul>
             	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
             	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
             	<li>NOT_AFFECTED - Not affected</li>
             	<li>PATCHED - Patched</li>
         	</ul>
         <li>array "string"
        <ul>
            <li>channel_labels Labels of channels that contain an unapplied patch</li>
        </ul>
    </li>
         <li>array "string"
        <ul>
            <li>errata_advisories Advisories of erratas that patch the specified vulnerability</li>
        </ul>
    </li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listSystemsByPatchStatus" href="#top">Method: listSystemsByPatchStatus</a></h3>
Description:<br />
List visible systems with their patch status regarding a given CVE
 identifier. Please note that the query code relies on data that is pre-generated
 by the 'cve-server-channels' taskomatic job.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string cveIdentifier
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - cve_audit_system
	<ul>
     	<li> int "system_id"</li>
     	<li> string "patch_status"</li>
         	<ul>
             	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
             	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
             	<li>NOT_AFFECTED - Not affected</li>
             	<li>PATCHED - Patched</li>
         	</ul>
         <li>array "string"
        <ul>
            <li>channel_labels Labels of channels that contain an unapplied patch</li>
        </ul>
    </li>
         <li>array "string"
        <ul>
            <li>errata_advisories Advisories of erratas that patch the specified vulnerability</li>
        </ul>
    </li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listSystemsByPatchStatus" href="#top">Method: listSystemsByPatchStatus</a></h3>
Description:<br />
List visible systems with their patch status regarding a given CVE
 identifier. Filter the results by passing in a list of patch status labels.
 Please note that the query code relies on data that is pre-generated by the
 'cve-server-channels' taskomatic job.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string cveIdentifier
 </li>
<li>

array:
<ul>
    <li>string - patchStatusLabel</li>
</ul>
  	<ul>
      	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
      	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
      	<li>NOT_AFFECTED - Not affected</li>
      	<li>PATCHED - Patched</li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - cve_audit_system
	<ul>
     	<li> int "system_id"</li>
     	<li> string "patch_status"</li>
         	<ul>
             	<li>AFFECTED_PATCH_INAPPLICABLE - Affected, patch available in unassigned channel</li>
             	<li>AFFECTED_PATCH_APPLICABLE - Affected, patch available in assigned channel</li>
             	<li>NOT_AFFECTED - Not affected</li>
             	<li>PATCHED - Patched</li>
         	</ul>
         <li>array "string"
        <ul>
            <li>channel_labels Labels of channels that contain an unapplied patch</li>
        </ul>
    </li>
         <li>array "string"
        <ul>
            <li>errata_advisories Advisories of erratas that patch the specified vulnerability</li>
        </ul>
    </li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
