<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
contentmanagement
</p>
<p>Provides methods to access and modify Content Lifecycle Management related entities
 (Projects, Environments, Filters, Sources).</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#attachFilter"/>attachFilter</a></li>
<li><a href="#attachSource"/>attachSource</a></li>
<li><a href="#attachSource"/>attachSource</a></li>
<li><a href="#buildProject"/>buildProject</a></li>
<li><a href="#buildProject"/>buildProject</a></li>
<li><a href="#createEnvironment"/>createEnvironment</a></li>
<li><a href="#createFilter"/>createFilter</a></li>
<li><a href="#createProject"/>createProject</a></li>
<li><a href="#detachFilter"/>detachFilter</a></li>
<li><a href="#detachSource"/>detachSource</a></li>
<li><a href="#listFilterCriteria"/>listFilterCriteria</a></li>
<li><a href="#listFilters"/>listFilters</a></li>
<li><a href="#listProjectEnvironments"/>listProjectEnvironments</a></li>
<li><a href="#listProjectFilters"/>listProjectFilters</a></li>
<li><a href="#listProjectSources"/>listProjectSources</a></li>
<li><a href="#listProjects"/>listProjects</a></li>
<li><a href="#lookupEnvironment"/>lookupEnvironment</a></li>
<li><a href="#lookupFilter"/>lookupFilter</a></li>
<li><a href="#lookupProject"/>lookupProject</a></li>
<li><a href="#lookupSource"/>lookupSource</a></li>
<li><a href="#promoteProject"/>promoteProject</a></li>
<li><a href="#removeEnvironment"/>removeEnvironment</a></li>
<li><a href="#removeFilter"/>removeFilter</a></li>
<li><a href="#removeProject"/>removeProject</a></li>
<li><a href="#updateEnvironment"/>updateEnvironment</a></li>
<li><a href="#updateFilter"/>updateFilter</a></li>
<li><a href="#updateProject"/>updateProject</a></li>
</ul>
</div>
<hr />

<h3> <a name="attachFilter" href="#top">Method: attachFilter</a></h3>
Description:<br />
Attach a Filter to a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Project label
 </li>
<li>

    int id - Filter id to attach
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Filter information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "orgId"</li>
   	<li> entityType "Entity type (e.g. 'package')"</li>
   	<li> rule "Rule (e.g. 'deny')"</li>
   	     struct - criteria
	<ul>
           <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
           <li> string "field" - The entity field to match (e.g. 'name' </li>
           <li> string "value" - The field value to match (e.g. 'kernel') </li>
   	</ul>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="attachSource" href="#top">Method: attachSource</a></h3>
Description:<br />
Attach a Source to a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    string sourceLabel - Project Source label
 </li>
<li>

    int sourcePosition - Project Source position
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Project Source information
	<ul>
   	<li> string "contentProjectLabel"</li>
   	<li> string "type"</li>
   	<li> string "state"</li>
         <li> string "channelLabel" - (If type is SW_CHANNEL) The label of channel associated with the source </li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="attachSource" href="#top">Method: attachSource</a></h3>
Description:<br />
Attach a Source to a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    string sourceLabel - Project Source label
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Project Source information
	<ul>
   	<li> string "contentProjectLabel"</li>
   	<li> string "type"</li>
   	<li> string "state"</li>
         <li> string "channelLabel" - (If type is SW_CHANNEL) The label of channel associated with the source </li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="buildProject" href="#top">Method: buildProject</a></h3>
Description:<br />
Build a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Project label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="buildProject" href="#top">Method: buildProject</a></h3>
Description:<br />
Build a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string message - Log message to be assigned to the build
 </li>
<li>

    string projectLabel - Project label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="createEnvironment" href="#top">Method: createEnvironment</a></h3>
Description:<br />
Create a Content Environment and appends it behind given Content Environment
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string predecessorLabel - Predecessor Environment label
 </li>
<li>

    string label - new Content Environment label
 </li>
<li>

    string name - new Content Environment name
 </li>
<li>

    string description - new Content Environment description
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Environment information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "version"</li>
   	<li> string "status"</li>
   	<li> string "contentProjectLabel"</li>
   	<li> string "previousEnvironmentLabel"</li>
   	<li> string "nextEnvironmentLabel"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="createFilter" href="#top">Method: createFilter</a></h3>
Description:<br />
Create a Content Filter
   </p>
   <p>
 The following filters are available (you can get the list in machine-readable format using
 the listFilterCriteria() endpoint):
   </p>
   <p>
 Package filtering:
   <ul>
   	<li>by name - field:name; matchers:contains or matches</li>
   	<li>by name, epoch, version, release and architecture - field:nevr or nevra; matcher:equals</li>
    </ul>
   </p>
   <p>
 Errata/Patch filtering:
   <ul>
   	<li>by advisory name - field:advisory_name; matcher:equals or matches</li>
   	<li>by type - field:advisory_type (e.g. 'Security Advisory'); matcher:equals</li>
   	<li>by synopsis - field:synopsis; matcher:equals, contains or matches</li>
   	<li>by keyword - field:keyword; matcher:contains</li>
   	<li>by date - field:issue_date; matcher:greater or greatereq</li>
   	<li>by affected package name - field:package_name; matcher:contains_pkg_name or matches_pkg_name</li>
   	<li>by affected package with version - field:package_nevr; matcher:contains_pkg_lt_evr, contains_pkg_le_evr,
   contains_pkg_eq_evr, contains_pkg_ge_evr or contains_pkg_gt_evr</li>
   </ul>

 Note: The 'matches' matcher works on Java regular expressions.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string name - Filter name
 </li>
<li>

    string rule - Filter rule ('deny' or 'allow')
 </li>
<li>

    string entityType - Filter entityType ('package' or 'erratum')
 </li>
<li>

	     struct - criteria
	<ul>
          <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
          <li> string "field" - The entity field to match (e.g. 'name' </li>
          <li> string "value" - The field value to match (e.g. 'kernel') </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Filter information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "orgId"</li>
   	<li> entityType "Entity type (e.g. 'package')"</li>
   	<li> rule "Rule (e.g. 'deny')"</li>
   	     struct - criteria
	<ul>
           <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
           <li> string "field" - The entity field to match (e.g. 'name' </li>
           <li> string "value" - The field value to match (e.g. 'kernel') </li>
   	</ul>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="createProject" href="#top">Method: createProject</a></h3>
Description:<br />
Create Content Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Content Project label
 </li>
<li>

    string name - Content Project name
 </li>
<li>

    string description - Content Project description
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Project information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "orgId"</li>
   	<li> string "firstEnvironment label"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="detachFilter" href="#top">Method: detachFilter</a></h3>
Description:<br />
Detach a Filter from a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Project label
 </li>
<li>

    int id - Filter id to detach
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="detachSource" href="#top">Method: detachSource</a></h3>
Description:<br />
Detach a Source from a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    string sourceLabel - Project Source label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listFilterCriteria" href="#top">Method: listFilterCriteria</a></h3>
Description:<br />
List of available filter criteria
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 	     struct - Filter Criteria
	<ul>
 	<li> string "type"</li>
 	<li> string "matcher"</li>
 	<li> string "field"</li>
 	</ul>
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listFilters" href="#top">Method: listFilters</a></h3>
Description:<br />
List all Content Filters visible to given user
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Content Filter information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "orgId"</li>
   	<li> entityType "Entity type (e.g. 'package')"</li>
   	<li> rule "Rule (e.g. 'deny')"</li>
   	     struct - criteria
	<ul>
           <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
           <li> string "field" - The entity field to match (e.g. 'name' </li>
           <li> string "value" - The field value to match (e.g. 'kernel') </li>
   	</ul>
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listProjectEnvironments" href="#top">Method: listProjectEnvironments</a></h3>
Description:<br />
List Environments in a Content Project with the respect to their ordering
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Content Environment information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "version"</li>
   	<li> string "status"</li>
   	<li> string "contentProjectLabel"</li>
   	<li> string "previousEnvironmentLabel"</li>
   	<li> string "nextEnvironmentLabel"</li>
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listProjectFilters" href="#top">Method: listProjectFilters</a></h3>
Description:<br />
List all Filters associated with a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Project label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Assigned Content Filter information
	<ul>
   	<li> string "state"</li>
   

	     struct - Content Filter information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "orgId"</li>
   	<li> entityType "Entity type (e.g. 'package')"</li>
   	<li> rule "Rule (e.g. 'deny')"</li>
   	     struct - criteria
	<ul>
           <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
           <li> string "field" - The entity field to match (e.g. 'name' </li>
           <li> string "value" - The field value to match (e.g. 'kernel') </li>
   	</ul>
 	</ul>
 
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listProjectSources" href="#top">Method: listProjectSources</a></h3>
Description:<br />
List Content Project Sources
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Content Project Source information
	<ul>
   	<li> string "contentProjectLabel"</li>
   	<li> string "type"</li>
   	<li> string "state"</li>
         <li> string "channelLabel" - (If type is SW_CHANNEL) The label of channel associated with the source </li>
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listProjects" href="#top">Method: listProjects</a></h3>
Description:<br />
List Content Projects visible to user
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Content Project information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "orgId"</li>
   	<li> string "firstEnvironment label"</li>
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="lookupEnvironment" href="#top">Method: lookupEnvironment</a></h3>
Description:<br />
Look up Content Environment based on Content Project and Content Environment label
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string envLabel - Content Environment label
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Environment information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "version"</li>
   	<li> string "status"</li>
   	<li> string "contentProjectLabel"</li>
   	<li> string "previousEnvironmentLabel"</li>
   	<li> string "nextEnvironmentLabel"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="lookupFilter" href="#top">Method: lookupFilter</a></h3>
Description:<br />
Lookup a Content Filter by id
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int id - Filter id
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Filter information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "orgId"</li>
   	<li> entityType "Entity type (e.g. 'package')"</li>
   	<li> rule "Rule (e.g. 'deny')"</li>
   	     struct - criteria
	<ul>
           <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
           <li> string "field" - The entity field to match (e.g. 'name' </li>
           <li> string "value" - The field value to match (e.g. 'kernel') </li>
   	</ul>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="lookupProject" href="#top">Method: lookupProject</a></h3>
Description:<br />
Look up Content Project with given label
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Content Project label
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Project information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "orgId"</li>
   	<li> string "firstEnvironment label"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="lookupSource" href="#top">Method: lookupSource</a></h3>
Description:<br />
Look up Content Project Source
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string sourceType - Project Source type, e.g. 'software'
 </li>
<li>

    string sourceLabel - Project Source label
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Project Source information
	<ul>
   	<li> string "contentProjectLabel"</li>
   	<li> string "type"</li>
   	<li> string "state"</li>
         <li> string "channelLabel" - (If type is SW_CHANNEL) The label of channel associated with the source </li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="promoteProject" href="#top">Method: promoteProject</a></h3>
Description:<br />
Promote an Environment in a Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Project label
 </li>
<li>

    string envLabel - Environment label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="removeEnvironment" href="#top">Method: removeEnvironment</a></h3>
Description:<br />
Remove a Content Environment
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string envLabel - Content Environment label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="removeFilter" href="#top">Method: removeFilter</a></h3>
Description:<br />
Remove a Content Filter
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int id - Filter id
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="removeProject" href="#top">Method: removeProject</a></h3>
Description:<br />
Remove Content Project
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Content Project label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="updateEnvironment" href="#top">Method: updateEnvironment</a></h3>
Description:<br />
Update Content Environment with given label
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string projectLabel - Content Project label
 </li>
<li>

    string envLabel - Content Environment label
 </li>
<li>

	     struct - data
	<ul>
          <li> string "name" - Content Environment name </li>
          <li> string "description" - Content Environment description </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Environment information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "version"</li>
   	<li> string "status"</li>
   	<li> string "contentProjectLabel"</li>
   	<li> string "previousEnvironmentLabel"</li>
   	<li> string "nextEnvironmentLabel"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="updateFilter" href="#top">Method: updateFilter</a></h3>
Description:<br />
Update a Content Filter
   </p>
   <p>
 See also: createFilter(), listFilterCriteria()
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int filterId - Filter id
 </li>
<li>

    string name - New filter name
 </li>
<li>

    string rule - New filter rule ('deny' or 'allow')
 </li>
<li>

	     struct - criteria
	<ul>
          <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
          <li> string "field" - The entity field to match (e.g. 'name' </li>
          <li> string "value" - The field value to match (e.g. 'kernel') </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Filter information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "orgId"</li>
   	<li> entityType "Entity type (e.g. 'package')"</li>
   	<li> rule "Rule (e.g. 'deny')"</li>
   	     struct - criteria
	<ul>
           <li> string "matcher" - The matcher type of the filter (e.g. 'contains') </li>
           <li> string "field" - The entity field to match (e.g. 'name' </li>
           <li> string "value" - The field value to match (e.g. 'kernel') </li>
   	</ul>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="updateProject" href="#top">Method: updateProject</a></h3>
Description:<br />
Update Content Project with given label
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Content Project label
 </li>
<li>

	     struct - data
	<ul>
          <li> string "name" - Content Project name </li>
          <li> string "description" - Content Project description </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Content Project information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
   	<li> string "description"</li>
   	<li> int "orgId"</li>
   	<li> string "firstEnvironment label"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
