<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
formula
</p>
<p>Provides methods to access and modify formulas.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#getCombinedFormulasByServerId"/>getCombinedFormulasByServerId</a></li>
<li><a href="#getFormulasByGroupId"/>getFormulasByGroupId</a></li>
<li><a href="#getFormulasByServerId"/>getFormulasByServerId</a></li>
<li><a href="#getGroupFormulaData"/>getGroupFormulaData</a></li>
<li><a href="#getSystemFormulaData"/>getSystemFormulaData</a></li>
<li><a href="#listFormulas"/>listFormulas</a></li>
<li><a href="#setFormulasOfGroup"/>setFormulasOfGroup</a></li>
<li><a href="#setFormulasOfServer"/>setFormulasOfServer</a></li>
<li><a href="#setGroupFormulaData"/>setGroupFormulaData</a></li>
<li><a href="#setSystemFormulaData"/>setSystemFormulaData</a></li>
</ul>
</div>
<hr />

<h3> <a name="getCombinedFormulasByServerId" href="#top">Method: getCombinedFormulasByServerId</a></h3>
Description:<br />
Return the list of formulas a server and all his groups have.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int systemId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - (formulas)</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getFormulasByGroupId" href="#top">Method: getFormulasByGroupId</a></h3>
Description:<br />
Return the list of formulas a server group has.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int systemGroupId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - (formulas)</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getFormulasByServerId" href="#top">Method: getFormulasByServerId</a></h3>
Description:<br />
Return the list of formulas directly applied to a server.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int systemId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - (formulas)</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getGroupFormulaData" href="#top">Method: getGroupFormulaData</a></h3>
Description:<br />
Get the saved data for the specific formula against specific group
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int groupId
 </li>
<li>

    string formulaName
 </li>
</ul>
<p />
Returns:
<code><ul><li>


struct with saved formula data 
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getSystemFormulaData" href="#top">Method: getSystemFormulaData</a></h3>
Description:<br />
Get the saved data for the specific formula against specific server
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int systemId
 </li>
<li>

    string formulaName
 </li>
</ul>
<p />
Returns:
<code><ul><li>


struct with saved formula data 
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listFormulas" href="#top">Method: listFormulas</a></h3>
Description:<br />
Return the list of formulas currently installed.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - (formulas)</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setFormulasOfGroup" href="#top">Method: setFormulasOfGroup</a></h3>
Description:<br />
Set the formulas of a server group.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int systemGroupId
 </li>
<li>

array:
<ul>
    <li>string - formulaName</li>
</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setFormulasOfServer" href="#top">Method: setFormulasOfServer</a></h3>
Description:<br />
Set the formulas of a server.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int systemId
 </li>
<li>

array:
<ul>
    <li>string - formulaName</li>
</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setGroupFormulaData" href="#top">Method: setGroupFormulaData</a></h3>
Description:<br />
Set the formula form for the specified group.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int groupId
 </li>
<li>

    string formulaName
 </li>
<li>

struct containing the values for each field in the form 
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setSystemFormulaData" href="#top">Method: setSystemFormulaData</a></h3>
Description:<br />
Set the formula form for the specified server.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int systemId
 </li>
<li>

    string formulaName
 </li>
<li>

struct content with the values for each field in the form 
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
