<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
image
</p>
<p>Provides methods to access and modify images.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#delete"/>delete</a></li>
<li><a href="#getCustomValues"/>getCustomValues</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getRelevantErrata"/>getRelevantErrata</a></li>
<li><a href="#importImage"/>importImage</a></li>
<li><a href="#listImages"/>listImages</a></li>
<li><a href="#listPackages"/>listPackages</a></li>
<li><a href="#scheduleImageBuild"/>scheduleImageBuild</a></li>
</ul>
</div>
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>
Description:<br />
Delete an Image
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int imageId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getCustomValues" href="#top">Method: getCustomValues</a></h3>
Description:<br />
Get the custom data values defined for the Image.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int imageId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


	     struct - Map of custom labels to custom values
	<ul>
      	<li> string "custom info label"</li>
      	<li> string "value"</li>
    	</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>
Description:<br />
Get details of an Image
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int imageId
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Image Overview information
	<ul>
   	<li> int "id"</li>
       <li> string "name" - image name </li>
       <li> string "version" - image tag/version </li>
       <li> int "revision" - image build revision number </li>
       <li> string "arch" - image architecture </li>
       <li> boolean "external" - true if the image is built externally,
          false otherwise </li>
   	<li> string "checksum"</li>
   	<li> string "profileLabel"</li>
       <li> string "buildStatus" - One of: </li>
            	<ul>
              	<li>queued</li>
              	<li>picked up</li>
              	<li>completed</li>
              	<li>failed</li>
            	</ul>
       <li> string "inspectStatus" - Available if the build is successful. One of: </li>
            	<ul>
              	<li>queued</li>
              	<li>picked up</li>
              	<li>completed</li>
              	<li>failed</li>
            	</ul>
   	<li> int "buildServerId"</li>
   	<li> int "securityErrata"</li>
   	<li> int "bugErrata"</li>
   	<li> int "enhancementErrata"</li>
   	<li> int "outdatedPackages"</li>
   	<li> int "installedPackages"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getRelevantErrata" href="#top">Method: getRelevantErrata</a></h3>
Description:<br />
Returns a list of all errata that are relevant for the image
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int imageId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
          

	     struct - errata
	<ul>
              <li> int "id" - Errata ID. </li>
              <li> string "date" - Date erratum was created. </li>
              <li> string "update_date" - Date erratum was updated. </li>
              <li> string "advisory_synopsis" - Summary of the erratum. </li>
              <li> string "advisory_type" - Type label such as Security, Bug Fix </li>
              <li> string "advisory_name" - Name such as RHSA, etc </li>
      	</ul>
 
      </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="importImage" href="#top">Method: importImage</a></h3>
Description:<br />
Import an image and schedule an inspect afterwards
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name - image name as specified in the
 store
 </li>
<li>

    string version - version to import or empty
 </li>
<li>

    int buildHostId - system ID of the build
 host
 </li>
<li>

    string storeLabel
 </li>
<li>

    string activationKey - activation key to get
 the channel data from
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest
 the following inspect can run
 </li>
</ul>
<p />
Returns:
<code><ul><li>


int - ID of the inspect action created 
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listImages" href="#top">Method: listImages</a></h3>
Description:<br />
List available Images
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Image information
	<ul>
   	<li> int "id"</li>
       <li> string "name" - image name </li>
       <li> string "version" - image tag/version </li>
       <li> int "revision" - image build revision number </li>
       <li> string "arch" - image architecture </li>
       <li> boolean "external" - true if the image is built externally,
          false otherwise </li>
   	<li> string "storeLabel"</li>
   	<li> string "checksum"</li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listPackages" href="#top">Method: listPackages</a></h3>
Description:<br />
List the installed packages on the given image.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int imageId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
          	     struct - package
	<ul>
                 	<li> string "name"</li>
                 	<li> string "version"</li>
                 	<li> string "release"</li>
                 	<li> string "epoch"</li>
                 	<li> string "arch"</li>
          	</ul>
      </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="scheduleImageBuild" href="#top">Method: scheduleImageBuild</a></h3>
Description:<br />
Schedule an image build
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string profileLabel
 </li>
<li>

    string version - version to build or empty
 </li>
<li>

    int buildHostId - system id of the build host
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the build can run.
 </li>
</ul>
<p />
Returns:
<code><ul><li>


int - ID of the build action created. 
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
