<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
image.profile
</p>
<p>Provides methods to access and modify image profiles.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#deleteCustomValues"/>deleteCustomValues</a></li>
<li><a href="#getCustomValues"/>getCustomValues</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listImageProfileTypes"/>listImageProfileTypes</a></li>
<li><a href="#listImageProfiles"/>listImageProfiles</a></li>
<li><a href="#setCustomValues"/>setCustomValues</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>
Description:<br />
Create a new Image Profile
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
<li>

    string type
 </li>
<li>

    string storeLabel
 </li>
<li>

    string path
 </li>
<li>

    string activationKey - Optional
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>
Description:<br />
Delete an Image Profile
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="deleteCustomValues" href="#top">Method: deleteCustomValues</a></h3>
Description:<br />
Delete the custom values defined for the specified Image Profile.<br/>
 (Note: Attempt to delete values of non-existing keys throws exception. Attempt to
 delete value of existing key which has assigned no values doesn't throw exception.)
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
<li>

array:
<ul>
    <li>string - customDataKeys</li>
</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getCustomValues" href="#top">Method: getCustomValues</a></h3>
Description:<br />
Get the custom data values defined for the Image Profile.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


	     struct - Map of custom labels to custom values
	<ul>
      	<li> string "custom info label"</li>
      	<li> string "value"</li>
    	</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>
Description:<br />
Get details of an Image Profile
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Image Profile information
	<ul>
   	<li> string "label"</li>
   	<li> string "imageType"</li>
   	<li> string "imageStore"</li>
   	<li> string "activationKey"</li>
       <li> string "path" - in case type support path </li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listImageProfileTypes" href="#top">Method: listImageProfileTypes</a></h3>
Description:<br />
List available Image Store Types
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - imageProfileTypes</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listImageProfiles" href="#top">Method: listImageProfiles</a></h3>
Description:<br />
List available Image Profiles
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Image Profile information
	<ul>
   	<li> string "label"</li>
   	<li> string "imageType"</li>
   	<li> string "imageStore"</li>
   	<li> string "activationKey"</li>
       <li> string "path" - in case type support path </li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setCustomValues" href="#top">Method: setCustomValues</a></h3>
Description:<br />
Set custom values for the specified Image Profile.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
<li>

	     struct - Map of custom labels to custom values
	<ul>
      	<li> string "custom info label"</li>
      	<li> string "value"</li>
    	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>
Description:<br />
Set details of an Image Profile
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
<li>

	     struct - image profile details
	<ul>
     	<li> string "storeLabel"</li>
     	<li> string "path"</li>
         <li> string "activationKey" - set empty string to unset </li>
   	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
