<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
image.store
</p>
<p>Provides methods to access and modify image stores.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#listImageStoreTypes"/>listImageStoreTypes</a></li>
<li><a href="#listImageStores"/>listImageStores</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>
Description:<br />
Create a new Image Store
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
<li>

    string uri
 </li>
<li>

    string storeType
 </li>
<li>

	     struct - credentials optional
	<ul>
   	<li> string "username"</li>
   	<li> string "password"</li>
 	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>
Description:<br />
Delete an Image Store
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>
Description:<br />
Get details of an Image Store
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Image Store information
	<ul>
   	<li> string "label"</li>
   	<li> string "uri"</li>
   	<li> string "storetype"</li>
   	<li> boolean "hasCredentials"</li>
   	<li> string "username"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listImageStoreTypes" href="#top">Method: listImageStoreTypes</a></h3>
Description:<br />
List available Image Store Types
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Image Store Type information
	<ul>
   	<li> int "id"</li>
   	<li> string "label"</li>
   	<li> string "name"</li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listImageStores" href="#top">Method: listImageStores</a></h3>
Description:<br />
List available Image Stores
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Image Store information
	<ul>
   	<li> string "label"</li>
   	<li> string "uri"</li>
   	<li> string "storetype"</li>
   	<li> boolean "hasCredentials"</li>
   	<li> string "username"</li>
 	</ul>
  </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>
Description:<br />
Set details of an Image Store
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string label
 </li>
<li>

	     struct - image store details
	<ul>
     	<li> string "uri"</li>
         <li> string "username" - pass empty string to unset credentials </li>
     	<li> string "password"</li>
   	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
