<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
virtualhostmanager
</p>
<p>Provides the namespace for the Virtual Host Manager methods.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#getDetail"/>getDetail</a></li>
<li><a href="#getModuleParameters"/>getModuleParameters</a></li>
<li><a href="#listAvailableVirtualHostGathererModules"/>listAvailableVirtualHostGathererModules</a></li>
<li><a href="#listVirtualHostManagers"/>listVirtualHostManagers</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>
Description:<br />
Creates a Virtual Host Manager from given arguments
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string label - Virtual Host Manager label
 </li>
<li>

    string moduleName - the name of the Gatherer module
 </li>
<li>

    parameters parameters - additional parameters (credentials, parameters for virtual-host-gatherer)
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>
Description:<br />
Deletes a Virtual Host Manager with a given label
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string label - Virtual Host Manager label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getDetail" href="#top">Method: getDetail</a></h3>
Description:<br />
Gets details of a Virtual Host Manager with a given label
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string label - Virtual Host Manager label
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - virtual host manager
	<ul>
      	<li> string "label"</li>
      	<li> int "org_id"</li>
      	<li> string "gatherer_module"</li>
      	<li> struct "configs"</li>
  	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getModuleParameters" href="#top">Method: getModuleParameters</a></h3>
Description:<br />
Get a list of parameters for a virtual-host-gatherer module.
 It returns a map of parameters with their typical default values.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string moduleName - The name of the module
 </li>
</ul>
<p />
Returns:
<code><ul><li>


map 
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listAvailableVirtualHostGathererModules" href="#top">Method: listAvailableVirtualHostGathererModules</a></h3>
Description:<br />
List all available modules from virtual-host-gatherer
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - moduleName</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listVirtualHostManagers" href="#top">Method: listVirtualHostManagers</a></h3>
Description:<br />
Lists Virtual Host Managers visible to a user
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
         

	     struct - virtual host manager
	<ul>
      	<li> string "label"</li>
      	<li> int "org_id"</li>
      	<li> string "gatherer_module"</li>
      	<li> struct "configs"</li>
  	</ul>
 
     </li></ul>
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
